Bug 496017 - system-config-bind always gets TypeError: cannot concatenate 'str' and 'dict' objects
system-config-bind always gets TypeError: cannot concatenate 'str' and 'dict'...
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-15 21:26 EDT by Tom Horsley
Modified: 2010-06-28 07:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-04-15 21:26:31 EDT
Description of problem:

I picked up the new system-config-bind-4.0.12-1.fc11.noarch and it no
longer crashes at startup, but unfortunately, it can't actually
change anything. For instance if I try to change the allowed systems
to add Local Networks, I get this when I click on Apply:

Traceback (most recent call last):
  File "/usr/share/system-config-bind/EditDialog.py", line 133, in response
  File "/usr/share/system-config-bind/RRGUI.py", line 1574, in save
  File "/usr/share/system-config-bind/NamedConf.py", line 498, in update
  File "/usr/share/system-config-bind/NamedConf.py", line 443, in out
TypeError: cannot concatenate 'str' and 'dict' objects

Version-Release number of selected component (if applicable):

How reproducible:
Every time for anything I've tried to change.

Steps to Reproduce:
1. see above
Actual results:
pythin errors

Expected results:
changes in bind config files

Additional info:
Comment 1 Jaroslav Reznik 2009-04-20 07:47:51 EDT
sorry for this :-( It's caused by preconfigured default Bind configuration with DNSSec enabled so it didn't appear on my old testing configuration (and system-config-bind default configuration). First I have to check all possible places where DNSSec defaults could cause problems and fix it. 

For now you can remove dnssec keys includes from named.conf and it should work.
Comment 2 Tom Horsley 2009-04-20 08:01:53 EDT
Except for the fact that the /etc/init.d/named script dynamically edits
named.conf and puts back the dnssec stuff all the time :-). (Though I did
finally figure out I could make that stop if I made sure named.conf
was newer than /etc/sysconfig/dnssec).
Comment 3 Adam Tkac 2009-04-20 08:31:27 EDT
If you would like to disable DNSSEC you should edit /etc/sysconfig/dnssec. If you don't edit it and you update dnssec-conf package then /etc/sysconfig/dnssec will become newer than your named.conf and DNSSEC will be enabled again.
Comment 4 Tom Horsley 2009-04-20 09:34:56 EDT
I eventually figured that out: What I was doing was trying to
replicate my old dns setup by untarring an archive of /var/named
from my old system which, naturally, had a timestamp older than
/etc/sysconfig/dnssec, so it kept getting mysteriously changed out
from under me till I figured out what was going on :-).

What I really don't understand is why dnssec is so special it needs
this bizarre extra layer of confusing scripts. If you want it enabled
by default, why not just ship a named.conf that has it enabled by
default? What is with all the weird /etc/init.d/named time editing
of your config out from under you? Makes no sense at all to me,
and I doubt anything like this is mentioned anywhere in the 640
pages of the O'Reilly book on DNS :-).
Comment 5 Adam Tkac 2009-04-20 11:44:45 EDT
Well, this is probably not the best place to start discussions about DNSSEC but main reason why we are updating configuration in init script is that DNSSEC keys need to be up2dated automatically. We haven't find nicer approach yet.

It is unfortunate side-effect that DNSSEC feature has triggered bug s-c-bind tool.
Comment 6 Bug Zapper 2009-06-09 09:53:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 7 Bug Zapper 2010-04-27 09:41:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2010-06-28 07:51:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.